Bug 204520 - anaconda dies with: Too many open files: '/proc/cmdline'
anaconda dies with: Too many open files: '/proc/cmdline'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-29 15:03 EDT by Doug Chapman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-30 15:54:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Chapman 2006-08-29 15:03:40 EDT
Description of problem:
This was seen on my HP Integrity rx4640 server while doing a kickstart install
of rawhide.  Network boot, NFS install, serial console.

Very soon after stage2 starts it dies with:


Traceback (most recent call last):
File "/usr/bin/anaconda", line 900, in ?
File "/usr/lib/anaconda/kickstart.py", line 794, in setInstallData
File "/usr/lib/anaconda/installclass.py", line 447, in setInstallData
File "/usr/lib/anaconda/instdata.py", line 69, in reset
File "/usr/lib/anaconda/bootloader.py", line 204, in getBootloader
File "/usr/lib/booty/booty.py", line 37, in getBootloader
File "/usr/lib/booty/bootloaderInfo.py", line 616, in __init__
File "/usr/lib/booty/bootloaderInfo.py", line 463, in __init__
File "/usr/lib/booty/bootloaderInfo.py", line 120, in __init__
IOError: [Errno 24] Too many open files: '/proc/cmdline'


install exited abnormally [1/1]
sending termination signals...done
sending kill signals...done
disabling swap...
unmounting filesystems...
        /mnt/runtime done
        disabling /dev/loop0
        /proc/bus/usb done
        /proc done
        /dev/pts done
        /sys done
        /tmp/ramfs done
        /mnt/source done
you may safely reboot your system


Version-Release number of selected component (if applicable):
rawhide-20060829
anaconda-11.1.0.84-1

How reproducible:
This particular system hits this every time.  I have other systems that die on
other unrelated issues (kernel panics on the other systems).
Comment 1 Doug Chapman 2006-08-30 15:54:01 EDT
I am no longer seeing this as of the 0830 build.

Note You need to log in before you can comment on or make changes to this bug.